# shareinstall jssdk

web 页面集成 shareinstall jssdk

## 如何使用

```bash
# 安装依赖
npm install --save shareinstall

# 引用依赖 选择以下一种方式引用
import ShareInstall from 'shareinstall'; // es6
var ShareInstall = require('shareinstall'); // commonJs

# 初始化
// shareinstall初始化，初始化时将与shareinstall服务器交互，应尽可能早的调用
/* web页面向app传递的json数据(json string/js Object)，应用被拉起或是首次安装时，通过相应的android/ios api可以获取此数据 */
var data = ShareInstall.parseUrlParams(); // shareinstall.js中提供的工具函数，解析url中的所有查询参数
new ShareInstall({
  appKey: 'shareinstall为当前应用分配的appkey',
  // 可选项，微信中打开自定义遮罩层
  // shadow: function(){
  //  return "<div id='shareinstall_shadow' style='position:fixed;left:0;top:0;background:rgba(0,255,0,0.5);filter:alpha(opacity=50);width:100%;height:100%;z-index:10000;'></div>"
  // },
  /* 可选参数，是否优先考虑拉起app，以牺牲下载体验为代价 默认true */
  // preferWakeup: true,
  /* 可选参数，唤醒操作的执行时长，超时后将放弃唤醒并执行下载，默认1500，单位是毫秒 */
  // timeout: 1500,
  onready: function() {
    // shareinstall已成功回调
    var m = this, button = document.getElementById("downloadButton");
    button.style.visibility = "visible";

    /* 用户点击某个按钮时(假定按钮id为downloadButton)，安装app */
    button.onclick = function() {
      m.wakeupOrInstall();
    }
  }
}, data);
```

## shareinstall 官网

[https://www.shareinstall.com.cn](https://www.shareinstall.com.cn)

## 业务咨询

QQ：2881355608

服务热线：021-60893259

备用热线：021-60897780
